[med-svn] [Git][med-team/python-pbcommand][master] 2 commits: Rewrite autopkgtest
Andreas Tille
gitlab at salsa.debian.org
Mon Dec 9 14:24:34 GMT 2019
Andreas Tille pushed to branch master at Debian Med / python-pbcommand
Commits:
8aa92094 by Andreas Tille at 2019-12-09T14:17:00Z
Rewrite autopkgtest
- - - - -
c67dc3eb by Andreas Tille at 2019-12-09T14:19:51Z
Upload to unstable
- - - - -
5 changed files:
- + debian/README.test
- debian/changelog
- debian/docs
- debian/tests/control
- + debian/tests/run-unit-test
Changes:
=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+ sh run-unit-test
+
+in order to confirm its integrity.
=====================================
debian/changelog
=====================================
@@ -1,4 +1,4 @@
-python-pbcommand (1.1.1+git20191122.ec024c3-1) UNRELEASED; urgency=medium
+python-pbcommand (1.1.1+git20191122.ec024c3-1) unstable; urgency=medium
* New upstream version Git checkout
Drop Python2 support and switch to Python3
@@ -8,8 +8,9 @@ python-pbcommand (1.1.1+git20191122.ec024c3-1) UNRELEASED; urgency=medium
* debhelper-compat 12
* Standards-Version: 4.4.1
* Make sure some valid version of pbcommand is returned by pkg_resources
+ * Rewrite autopkgtest
- -- Andreas Tille <tille at debian.org> Sat, 07 Dec 2019 21:44:15 +0100
+ -- Andreas Tille <tille at debian.org> Mon, 09 Dec 2019 15:17:18 +0100
python-pbcommand (1.1.1-1) unstable; urgency=medium
=====================================
debian/docs
=====================================
@@ -1,2 +1,5 @@
README.md
docs/source/commandline_interface.rst
+tests
+debian/tests/run-unit-test
+debian/README.test
=====================================
debian/tests/control
=====================================
@@ -1,3 +1,3 @@
-Test-Command: nosetests -s --verbose --logging-config log_nose.cfg --where=tests
-Depends: @, python-nose, python-pbcore
+Tests: run-unit-test
+Depends: @, python3-pytest, python3-pytest-xdist, python3-pytest-cov, python3-pbcore
Restrictions: allow-stderr
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -e
+
+pkg=python3-pbcommand
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/tests "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip -r *
+
+pytest-3
View it on GitLab: https://salsa.debian.org/med-team/python-pbcommand/compare/0d30cd2723065ca0ac93088e97558509f701c944...c67dc3eb53e3abdc5c590718ba783013dc58b0f0
--
View it on GitLab: https://salsa.debian.org/med-team/python-pbcommand/compare/0d30cd2723065ca0ac93088e97558509f701c944...c67dc3eb53e3abdc5c590718ba783013dc58b0f0
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20191209/ca2300fa/attachment-0001.html>
More information about the debian-med-commit
mailing list